Cantera 2.6.0

Public Member Functions | Public Attributes | Protected Attributes | List of all members
SpeciesNode Class Reference

Nodes in reaction path graphs. More...

`#include <ReactionPath.h>`

## Public Member Functions
| SpeciesNode ()
| Default constructor. More...
virtual | ~SpeciesNode ()
| Destructor. More...
int | nPaths () const
| Total number of paths to or from this node. More...
void | addPath (Path *path)
| add a path to or from this node More...
doublereal | outflow ()
doublereal | inflow ()
doublereal | netOutflow ()
void | printPaths ()
References.
Return a reference to a path object connecting this node to another node.
Path * | path (int n)
const Path * | path (int n) const

## Public Attributes
size_t | number
| Species number. More...
std::string | name
| Label on graph. More...
doublereal | value
| May be used to set node appearance. More...
bool | visible
| Visible on graph;. More...

## Protected Attributes
doublereal | m_in
doublereal | m_out
std::vector< Path * > | m_paths

## Detailed Description

Nodes in reaction path graphs.

Definition at line 26 of file ReactionPath.h.

## Constructor & Destructor Documentation

## ◆ SpeciesNode()

SpeciesNode | ( |  | ) |
| inline

Default constructor.

Definition at line 30 of file ReactionPath.h.

## ◆ ~SpeciesNode()

virtual ~SpeciesNode | ( |  | ) |
| inline virtual

Destructor.

Definition at line 34 of file ReactionPath.h.

## Member Function Documentation

## ◆ path() [1/2]

Path * path | ( | int | n | ) |
| inline

Definition at line 48 of file ReactionPath.h.

## ◆ path() [2/2]

const Path * path | ( | int | n | ) | const
| inline

Definition at line 51 of file ReactionPath.h.

## ◆ nPaths()

int nPaths | ( |  | ) | const
| inline

Total number of paths to or from this node.

Definition at line 57 of file ReactionPath.h.

## ◆ addPath()

void addPath | ( | Path * | path | ) |

add a path to or from this node

Definition at line 22 of file ReactionPath.cpp.

## ◆ outflow()

doublereal outflow | ( |  | ) |
| inline

Definition at line 64 of file ReactionPath.h.

## ◆ inflow()

doublereal inflow | ( |  | ) |
| inline

Definition at line 67 of file ReactionPath.h.

## ◆ netOutflow()

doublereal netOutflow | ( |  | ) |
| inline

Definition at line 70 of file ReactionPath.h.

## ◆ printPaths()

void printPaths | ( |  | ) |

Definition at line 34 of file ReactionPath.cpp.

## Member Data Documentation

## ◆ number

size_t number

Species number.

Definition at line 37 of file ReactionPath.h.

## ◆ name

std::string name

Label on graph.

Definition at line 38 of file ReactionPath.h.

Referenced by ReactionPathDiagram::exportToDot().

## ◆ value

doublereal value

May be used to set node appearance.

Definition at line 39 of file ReactionPath.h.

## ◆ visible

bool visible

Visible on graph;.

Definition at line 40 of file ReactionPath.h.

Referenced by ReactionPathDiagram::exportToDot().

## ◆ m_in

doublereal m_in
| protected

Definition at line 77 of file ReactionPath.h.

## ◆ m_out

doublereal m_out
| protected

Definition at line 78 of file ReactionPath.h.

## ◆ m_paths

std::vector<Path*> m_paths
| protected

Definition at line 79 of file ReactionPath.h.

The documentation for this class was generated from the following files:

- ReactionPath.h
- ReactionPath.cpp